#
# Pu-roxy 
#
# (c) FukTommy <fuktommy@inter7.jp>
#
# Copyright (c) 2003-2004 Satoshi Fukutomi <fuktommy@inter7.jp>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither the name of the University nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: Config.pm,v 1.1.1.1 2004/12/27 05:37:08 fuktommy Exp $
#

package Pu::Config;

# 񤭹ߤĤۤIPɥ쥹ɽ
$arrowHost = '^(127\.0\.0\.1|localhost)$';

# ˥塼URL
$menuURL = "http://www.ff.iij4u.or.jp/~ch2/bbsmenu.html";

# ǰ٤ɽ륵
$search_count = 10;

# åΥǥ쥯ȥ
# ХѥǤХѥǤ褤
$cacheDir = "../cache";

# wgetΥѥ
$wget = "/usr/bin/wget";

# gzipΥѥ
$gzip = "/bin/gzip";

# wgetΥॢ()
$timeout = 5;

# umask
$umask = 0000;

# flockΥ⡼
# 000: Ȥʤ
# 002: ¾ΥץޤԵ
# 006: ¾Υץн
$lockMode = 002;

# ѡĿե
do "/etc/pu.conf" if (-e "/etc/pu.conf");
do "$ENV{HOME}/.purc" if (-e "$ENV{HOME}/.purc");

1;
